package com.bw.adv.module.order.model;

public class OrderGiftExchange {
    /**
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column order_gift_exchange.ORDER_GIFT_ID
     *
     * @mbg.generated Sun Jul 02 16:14:03 CST 2017
     */
    private Long orderGiftId;

    /**
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column order_gift_exchange.ORDER_ITEM_ID
     *
     * @mbg.generated Sun Jul 02 16:14:03 CST 2017
     */
    private Long orderItemId;

    /**
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column order_gift_exchange.COUPON_INSTANCE_CODE
     *
     * @mbg.generated Sun Jul 02 16:14:03 CST 2017
     */
    private String couponInstanceCode;

    /**
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column order_gift_exchange.AWARDS_ID
     *
     * @mbg.generated Sun Jul 02 16:14:03 CST 2017
     */
    private Long awardsId;

    /**
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column order_gift_exchange.GIFT_TYPE
     *
     * @mbg.generated Sun Jul 02 16:14:03 CST 2017
     */
    private Integer giftType;

    /**
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column order_gift_exchange.MEMBER_ADDRESS_ID
     *
     * @mbg.generated Sun Jul 02 16:14:03 CST 2017
     */
    private Long memberAddressId;

    /**
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column order_gift_exchange.STATUS
     *
     * @mbg.generated Sun Jul 02 16:14:03 CST 2017
     */
    private Long status;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column order_gift_exchange.ORDER_GIFT_ID
     *
     * @return the value of order_gift_exchange.ORDER_GIFT_ID
     *
     * @mbg.generated Sun Jul 02 16:14:03 CST 2017
     */
    public Long getOrderGiftId() {
        return orderGiftId;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column order_gift_exchange.ORDER_GIFT_ID
     *
     * @param orderGiftId the value for order_gift_exchange.ORDER_GIFT_ID
     *
     * @mbg.generated Sun Jul 02 16:14:03 CST 2017
     */
    public void setOrderGiftId(Long orderGiftId) {
        this.orderGiftId = orderGiftId;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column order_gift_exchange.ORDER_ITEM_ID
     *
     * @return the value of order_gift_exchange.ORDER_ITEM_ID
     *
     * @mbg.generated Sun Jul 02 16:14:03 CST 2017
     */
    public Long getOrderItemId() {
        return orderItemId;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column order_gift_exchange.ORDER_ITEM_ID
     *
     * @param orderItemId the value for order_gift_exchange.ORDER_ITEM_ID
     *
     * @mbg.generated Sun Jul 02 16:14:03 CST 2017
     */
    public void setOrderItemId(Long orderItemId) {
        this.orderItemId = orderItemId;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column order_gift_exchange.COUPON_INSTANCE_CODE
     *
     * @return the value of order_gift_exchange.COUPON_INSTANCE_CODE
     *
     * @mbg.generated Sun Jul 02 16:14:03 CST 2017
     */
    public String getCouponInstanceCode() {
        return couponInstanceCode;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column order_gift_exchange.COUPON_INSTANCE_CODE
     *
     * @param couponInstanceCode the value for order_gift_exchange.COUPON_INSTANCE_CODE
     *
     * @mbg.generated Sun Jul 02 16:14:03 CST 2017
     */
    public void setCouponInstanceCode(String couponInstanceCode) {
        this.couponInstanceCode = couponInstanceCode == null ? null : couponInstanceCode.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column order_gift_exchange.AWARDS_ID
     *
     * @return the value of order_gift_exchange.AWARDS_ID
     *
     * @mbg.generated Sun Jul 02 16:14:03 CST 2017
     */
    public Long getAwardsId() {
        return awardsId;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column order_gift_exchange.AWARDS_ID
     *
     * @param awardsId the value for order_gift_exchange.AWARDS_ID
     *
     * @mbg.generated Sun Jul 02 16:14:03 CST 2017
     */
    public void setAwardsId(Long awardsId) {
        this.awardsId = awardsId;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column order_gift_exchange.GIFT_TYPE
     *
     * @return the value of order_gift_exchange.GIFT_TYPE
     *
     * @mbg.generated Sun Jul 02 16:14:03 CST 2017
     */
    public Integer getGiftType() {
        return giftType;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column order_gift_exchange.GIFT_TYPE
     *
     * @param giftType the value for order_gift_exchange.GIFT_TYPE
     *
     * @mbg.generated Sun Jul 02 16:14:03 CST 2017
     */
    public void setGiftType(Integer giftType) {
        this.giftType = giftType;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column order_gift_exchange.MEMBER_ADDRESS_ID
     *
     * @return the value of order_gift_exchange.MEMBER_ADDRESS_ID
     *
     * @mbg.generated Sun Jul 02 16:14:03 CST 2017
     */
    public Long getMemberAddressId() {
        return memberAddressId;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column order_gift_exchange.MEMBER_ADDRESS_ID
     *
     * @param memberAddressId the value for order_gift_exchange.MEMBER_ADDRESS_ID
     *
     * @mbg.generated Sun Jul 02 16:14:03 CST 2017
     */
    public void setMemberAddressId(Long memberAddressId) {
        this.memberAddressId = memberAddressId;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column order_gift_exchange.STATUS
     *
     * @return the value of order_gift_exchange.STATUS
     *
     * @mbg.generated Sun Jul 02 16:14:03 CST 2017
     */
    public Long getStatus() {
        return status;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column order_gift_exchange.STATUS
     *
     * @param status the value for order_gift_exchange.STATUS
     *
     * @mbg.generated Sun Jul 02 16:14:03 CST 2017
     */
    public void setStatus(Long status) {
        this.status = status;
    }
}